cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Problem with sessions, not all sessions are being recorded in Dynatrace

Consultor_IT
Participant

Good afternoon,

We have a problem with sessions, not all sessions are being recorded in Dynatrace, only some.
At the moment we have made an analysis of the sessions that do not arrive vs those that are registered, and the only thing that deferences is the version of the browser (those with Firefox v. 9.0) do not arrive. updated if they arrive.
We would like to know if it is impossible to update the browser version because the apps only work with this version, what other solution we could try.
We were thinking that we can modify and adjust the JS agent so that it can run.


Please your comments as we are losing thousands of sessions.

7 REPLIES 7

ChadTurner
Leader

interesting, are you using the most current Oneagent? and your cluster is updated? if so you might want to open a support case for this issue as its quite odd. 

-Chad

Everything is up to date, the agents and the cluster to the latest version.
But the RUM JS Agent is not compatible with the old version of FireFox 9.0?
Does the agent use the XMLHTTPRequest or Fetch API or both? That will be the problem.

ChadTurner
Leader

I would raise that to support to see what they can do to get around that limitation 

-Chad

DanielS
Advisor

I would check the following:

DanielS_1-1621369819176.png

The percentage needs to be at 100% to capture everything.

 

And regarding Firefox:

DanielS_0-1621369754334.png

Hope it helps.

The true delight is in the finding out rather than in the knowing.

It is 100%

Consultor_IT_0-1621379491030.png

This is very rare, there are new browser versions and some very old ones that it did detect:

 

 

Consultor_IT_1-1621379570045.png

 

According to the Firefox documentation, API Fecth is from version v.39+.

https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API#browser_compatibility

 

 

 

With all that said, as Chad suggest, you should raise that to support. It's not something that you're missing.

The true delight is in the finding out rather than in the knowing.

AntonioSousa
Champion

Firefox 9 is a really very old version. I had to check out how old it is, and it's from 2011. I suppose you are using it in the context of an internal application. If it is an external web facing application, you should consider why you are supporting those so old versions...

Please notice that a lot of functionality that supports RUM is much more recent, and that you will probably have to tweak some settings, if it's even supported at all.

I'd also check if some type of extension are blocking the RUM scripts. And finally, if you have access to a Firefox 9 browser, verify the checklist below. I'm not even sure if Firefox 9 had the Developer Tools (F12), but with that you should be able to trace why it's happening:
https://www.dynatrace.com/support/help/how-to-use-dynatrace/real-user-monitoring/setup-and-configura...